Subject: Re: 2.6.29-rc8: Reported regressions from 2.6.28

From: "John W. Linville" <[email-masked]>
Date: Thu, 19 Mar 2009 10:13:11 -0400

On Thu, Mar 19, 2009 at 10:38:54AM +0100, Johannes Berg wrote:
> On Thu, 2009-03-19 at 12:49 +0800, Jeff Chua wrote:
> 
> > Ignore the above loop thing. The cause seems to be this one instead.
> > 
> > 
> > # this needs patch to work ...
> > iwconfig wlan0 mode Managed
> > ifconfig wlan0 up
> > iwconfig wlan0 essid xxx
> > iwconfig wlan0 key restricted xxx
> > iwconfig wlan0 ap auto channel auto
> 
> If you swap the key and essid lines, it will probably always work. But
> I've yet to analyse your data to see why it doesn't in the other case.

That is what I was going to suggest.  I go so far as to say that you
should set everything else before doing the "iwconfig wlan0 essid
xxx" bit.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.